Skip to main content
PATCH
https://{tenantDomain}/api/v2
/
roles
/
{id}
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    management "github.com/auth0/go-auth0/management"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Roles.Update(
        context.TODO(),
        "id",
        &management.UpdateRoleRequestContent{},
    )
}
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the role to update.

Body

name
string

Name of this role.

description
string

Description of this role.

Response

Role successfully updated.

id
string

ID for this role.

name
string

Name of this role.

description
string

Description of this role.